Bug 231026 - audio/zita-resampler: Update to 1.6.2
Summary: audio/zita-resampler: Update to 1.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on: 231075
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-30 16:13 UTC by Goran Mekić
Modified: 2018-09-02 19:19 UTC (History)
1 user (show)

See Also:


Attachments
zita-resampler-1.6.2.diff (5.01 KB, patch)
2018-08-30 16:13 UTC, Goran Mekić
no flags Details | Diff
zita-resampler-1.6.2.diff (5.05 KB, patch)
2018-08-30 16:38 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2018-08-30 16:13:38 UTC
Created attachment 196710 [details]
zita-resampler-1.6.2.diff

It has somewhat breaking change: version 1.6.2 doesn't ship with *.so.1 file, so existing ports compiled with previous version will break. The ports declaring zita-resampler as dependency:

audio/infamous-plugins-lv2
audio/guitarix-lv2
audio/drumgizmo

As I'm maintainer of drumgizmo port, I'll add maintainer(s) of other ports to this PR.
Comment 1 Goran Mekić 2018-08-30 16:16:21 UTC
I suppose the proper way to handle this situation is to open PR for mentioned ports and increasing PORTVERSION on all of them. If not, please advise!
Comment 2 Yuri Victorovich freebsd_committer 2018-08-30 16:26:18 UTC
Hi Goran,

The lack of *.so.1 is a bug in the port, and needs to be fixed in their makefile.
I did the same for audio/zita-convolver.
The upstream author seems to believe that he needs to call ldconfig in order to create it. ldconfig needs to be removed, and ln should be used to create *.so.1
Comment 3 Goran Mekić 2018-08-30 16:38:45 UTC
Created attachment 196711 [details]
zita-resampler-1.6.2.diff
Comment 4 Goran Mekić 2018-08-30 16:39:53 UTC
Thanx, Yuri! I copied your changes in the latest patch.
Comment 5 Yuri Victorovich freebsd_committer 2018-08-30 16:40:25 UTC
(In reply to Goran Mekić from comment #3)

Thanks!
This way it probably doesn't break any dependencies.

Yuri
Comment 6 commit-hook freebsd_committer 2018-09-01 00:33:35 UTC
A commit references this bug:

Author: swills
Date: Sat Sep  1 00:33:29 UTC 2018
New revision: 478648
URL: https://svnweb.freebsd.org/changeset/ports/478648

Log:
  audio/zita-resampler: Update to 1.6.2

  PR:		231026
  Submitted by:	Goran Meki? <meka@tilda.center> (maintainer)

Changes:
  head/audio/zita-resampler/Makefile
  head/audio/zita-resampler/distinfo
  head/audio/zita-resampler/files/patch-Makefile
  head/audio/zita-resampler/pkg-plist
Comment 7 Steve Wills freebsd_committer 2018-09-01 00:34:32 UTC
Committed, thanks!
Comment 8 Yuri Victorovich freebsd_committer 2018-09-01 15:19:06 UTC
Wrong patch was applied. ldconfig needs to be removed from Makefile.
Comment 9 Steve Wills freebsd_committer 2018-09-02 16:27:32 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2018-09-02 19:19:17 UTC
A commit references this bug:

Author: swills
Date: Sun Sep  2 19:19:13 UTC 2018
New revision: 478813
URL: https://svnweb.freebsd.org/changeset/ports/478813

Log:
  audio/zita-resampler: use updated patch

  This removes the ldconfig and fixes building as a user

  PR:		231026 [1]
  PR:		231075 [2]
  Submitted by:	Goran Meki? <meka@tilda.center> (maintainer) [1]
  Reported by:	yuri [1]
  Reported by:	jbeich [2]

Changes:
  head/audio/zita-resampler/Makefile
  head/audio/zita-resampler/files/patch-Makefile
  head/audio/zita-resampler/pkg-plist